[SM-Commit] GIT changes to test-1.13 sorcery by Jaka Kranjc (aeca2c20dedef3850b7bf26a76dd58d6a36e2554)

Jaka Kranjc scm at sourcemage.org
Tue Jan 22 16:39:37 EST 2008


GIT changes to test-1.13 sorcery by Jaka Kranjc <lynxlynxlynx at sourcemage.org>:

 ChangeLog                                     |   29 ++++++++++
 etc/sorcery/url                               |    3 -
 etc/sorcery/version                           |    2 
 usr/sbin/cabal                                |   73 ++++++++++++++++++--------
 usr/sbin/cleanse                              |    4 -
 usr/sbin/gaze                                 |   24 +++++---
 usr/sbin/scribe                               |   28 +++++++++
 var/lib/sorcery/modules/libmisc               |    2 
 var/lib/sorcery/modules/libresurrect          |    2 
 var/lib/sorcery/modules/libsorcery            |    6 +-
 var/lib/sorcery/modules/libsummon             |    3 -
 var/lib/sorcery/modules/liburl                |    2 
 var/lib/sorcery/modules/url_handlers/url_http |    2 
 13 files changed, 136 insertions(+), 44 deletions(-)

New commits:
commit aeca2c20dedef3850b7bf26a76dd58d6a36e2554
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    1.13.8-rc2

commit d1e885742af698f68f8c281ab7bcbbcfd11b2512
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    libsorcery: fixed CXXFLAGS setting in optimise() to not also include the
             other CFLAGS_* variables #13965

commit 8541362965c261e8f928cda2e4dd223b989db56f
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    fixed "gaze from" matching state files #13941 and made it avoid passing too many arguments to grep
    (cherry picked from commit 7f6ee88f4196cfacd0d35a27afe681d5d98ff33a)

commit 84e63403550a777a97ac5b62164a7c6d29b090b7
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    made the cleanse md5sum check handle (too) many logs, patch from Arwed von Merkatz #13903

commit 15da4ffe7d6b081cc43a8b259cb65ab2a5c9fe4f
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    libressurect: show unified diffs in real_handle_changed_config #13830
    (cherry picked from commit c6c717d7df365dbc0e2e5b147df216b15a6d4691)

commit fbd22e021bd36c17d4add48fc8e65feefae38691
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    libmisc: fix set_architecture not resetting the text color #13842

commit 36a18ed9e9ce6b2def31bb203c3418e0769178ef
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    fix url_ftp_verify target matching #13787
    (cherry picked from commit abd2d45c5df4a074c17cd8a525ae42c3363f8dbc)

commit a5bc8cbde3b8b7c069c1977c54d995c635848c3c
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    fixed scribe add rm -rfing if the passed (bad) argument is a dir #13742
    (cherry picked from commit f3cb2400df25d407d102d452957565a8d8fa60f7)

commit 56e72e1eb63059857eb70bfb448e2ba0dffa0b0b
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    scribe: fixed bad messages when adding a grimoire #13743
    (cherry picked from commit f2e33c9d5a19d5056f70d1ca2e2e74159adbb262)

commit bb1b0c251efdf0d1a4895a45fe825a24b84e618c
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    liburl, scribe: don't ignore url_get_prefix exit status #13729
    (cherry picked from commit 5727165c0b6d6ed9f587c2ed174a6d22560bbfd9)

commit 6b6ed1b961d5aaffe9187e686bc497f2d8c761e3
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    libsummon, scribe: added the missing prefixes to the guess lists #13732

commit 514270ab8f2c413a56dc32963adf165359e13b2f
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    cleanse: fix md5sum check locale issue, patch from Thomas Orgis #13713

commit cf77432716e686492082af6a64052937cb100727
Author: David Kowis <dkowis at shlrm.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    gaze applied patch from bug 13711 thanks to Jaka Kranjc
    
    plus 3ff76662d7238252ba5192cac24f9b9f3f206c59

commit a7f65f59bfd410e9c6607631065b3384ba6ecc9f
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    added default for PER_CPAN_URL #13673

commit 733d5e3ccd12daa3889cec8dff5b297cadc422a4
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    gaze: fixed bad temporary dir usage #13588
    (cherry picked from commit a8ce539dfdd39919e81b298a37b735948d802a3d)
    
    Conflicts:
    
    	ChangeLog
    	usr/sbin/gaze

commit ce92a32ced2d1a4c48f4e5bd92690cabe0cf53b4
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    fixed gaze newer breaking on bad input #10149

commit c8a5eebc5cd4e955354088d671d9647746f7961c
Author: Andrew Stitt <astitt at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    fix bug 11708

diff --git a/ChangeLog b/ChangeLog
index 36c9ea6..6e717f0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -20,16 +20,45 @@
 	* libdepends: fixed some more quoting regressions since stable. Should
 	  eliminate some bad provider query defaults
 
+2007-08-28 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
+	* libsorcery: fixed CXXFLAGS setting in optimise() to not also include the
+	  other CFLAGS_* variables #13965
+
+2007-08-12 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
+	* gaze: fixed bad temporary dir usage #13588
+	  fixed "gaze from" matching state files #13941 and made it avoid passing
+	  too many arguments to grep
+	* libsummon, scribe: added the missing prefixes to the guess lists #13732
+	* liburl, scribe: don't ignore url_get_prefix exit status #13729
+	* scribe: fixed bad messages when adding a grimoire #13743
+	  fixed scribe add rm -rfing if the passed (bad) argument is a dir #13742
+
 2007-08-11 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
 	* libcodex: moved the load_libcompat call before the sourcing of DETAILS in
 	  codex_set_current_spell. This way fallbacks can be used there as well,
 	  which will among other things help a bit with #13883
 	* libdepends: fixed a regression in private_add_depends;
 	  probably fixes #13735
+	* gaze: fixed gaze newer breaking on bad input #10149
+	  also made it handle (too) many logs, patch from Arwed von Merkatz #13903
+	* cleanse: fix md5sum check locale issue, patch from Thomas Orgis #13713
+	* libmisc: fix set_architecture not resetting the text color #13842
+	* libressurect: show unified diffs in real_handle_changed_config #13830
+
+2007-08-10 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
+	* etc/sorcery/url: added default value for PERL_CPAN_URL #13673
 
 2007-08-09 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
 	* url_handlers/url_http: fix url_ftp_verify to not pass a deprecated wget
 	  option. Now it works again. #13001
+	  Also made it stricter when checking for target exsistance #13787
+
+2007-04-18 David Kowis <dkowis at shlrm.org>
+	* gaze: Bug 13711, support force_depends in gaze dependencies.
+	  Patch from Jaka Kranjc
+
+2006-11-25 Andrew Stitt <astitt at sourcemage.org>
+	* cabal: apply patch from Dave Josephsen, bug 11708
 
 2006-08-18 Andrew Stitt <astitt at sourcemage.org>
 	* libstate, libapi: add is_depends_enabled, bug 12949
diff --git a/etc/sorcery/url b/etc/sorcery/url
index 65e6948..2e13024 100755
--- a/etc/sorcery/url
+++ b/etc/sorcery/url
@@ -1,4 +1,4 @@
-           GNU_URL=ftp://ftp.gnu.org/pub/gnu
+              GNU_URL=ftp://ftp.gnu.org/pub/gnu
               KDE_URL=ftp://ftp.kde.org/pub/kde
              CTAN_URL=ftp://tug.ctan.org/tex-archive
             GNOME_URL=ftp://ftp.gnome.org/pub/GNOME
@@ -7,6 +7,7 @@
           SORCERY_URL=http://download.sourcemage.org/sorcery/
       SOURCEFORGE_URL=http://osdn.dl.sourceforge.net/sourceforge
            APACHE_URL=http://www.ibiblio.org/pub/mirrors/apache
+        PERL_CPAN_URL=http://www.cpan.org
                #
                # Set FURLNUM to nr. of fallback urls.
                #
diff --git a/etc/sorcery/version b/etc/sorcery/version
index f08dcf7..9b77424 100644
--- a/etc/sorcery/version
+++ b/etc/sorcery/version
@@ -1 +1 @@
-1.13.8-rc1
+1.13.8-rc2
diff --git a/usr/sbin/cabal b/usr/sbin/cabal
index 02d15de..9718b8f 100755
--- a/usr/sbin/cabal
+++ b/usr/sbin/cabal
@@ -17,21 +17,21 @@ function read_cabal_names()  {
 
   mkdir  -p  $CABAL_DIRECTORY
 
-  [  -f  $CABAL_NAMES  ] || return
+ [  -f  $CABAL_NAMES  ] || return
+        
 
-  eval `awk '{ print "CABAL[" NR-1 "]=\"" $0 "\""; }' "$CABAL_NAMES"`
+  eval `awk '{ print "CABALS[" NR-1 "]=\"" $0 "\""; }' "$CABAL_NAMES"`
 
 }
 
 #--------------------
 ## Overwrite the cabal name file with new member names
-## @Note The loop can probably be done more intelegently, so a MAX_CABALS is not necessary.
 ## @Globals CABAL_NAMES MAX_CABALS
 #--------------------
 function write_cabal_names()  {
 
   rm  -f  $CABAL_NAMES
-  for  ((  COUNT=0;  COUNT != MAX_CABALS;  COUNT++  ));   do
+  for  ((  COUNT=0;  COUNT != ${#CABALS[@]};  COUNT++  ));   do
     echo  "${CABALS[$COUNT]}"  >>  $CABAL_NAMES
   done
 
@@ -45,9 +45,11 @@ function write_cabal_names()  {
 #---------------------
 function print_cabal_names()  {
 
-  for  ((  COUNT = 0;  COUNT  !=  MAX_CABALS;  COUNT++  ));  do
-    echo  "${CABALS[$COUNT]}"
-  done
+eval ${DIALOG}  '--textbox  ${CABAL_NAMES}  0  0' 
+
+#for  ((  COUNT = 0;  COUNT  !=  MAX_CABALS;  COUNT++  ));  do
+#    echo  "${CABALS[$COUNT]}"
+#done
 
 }
 
@@ -257,7 +259,7 @@ function cabal_name_menu()  {
   do
 
     case  $COMMAND in
-      S)  print_cabal_names  |  $PAGER  ;;
+      S)  print_cabal_names   ;;
       E)  name_cabals                   ;;
     esac
 
@@ -379,16 +381,16 @@ function cabal_admin_menu()  {
 
 function cabal_copy()  {
 
-  SOURCE_MESSAGE="Please enter source files and directories."
-    DEST_MESSAGE="Please enter destination directory."
+  SOURCE_MESSAGE='"Please enter source files and directories."'
+    DEST_MESSAGE='"Please enter destination directory."'
 
   mkdir  -p  $CABAL_OUTPUT || {
     messasge "Failed to make CABAL_OUTPUT directory $CABAL_OUTPUT"
     exit 1
   }
 
-       SOURCE=`eval $DIALOG  --inputbox  "$SOURCE_MESSAGE"  0 0`  &&
-  DESTINATION=`eval $DIALOG  --inputbox  "$DEST_MESSAGE"    0 0`  &&
+       SOURCE=`eval $DIALOG  --inputbox  $SOURCE_MESSAGE  0 0`  &&
+  DESTINATION=`eval $DIALOG  --inputbox  $DEST_MESSAGE    0 0`  &&
         CABAL=`select_cabal`                                 &&
         ORDER=`select_order`                                 &&
 
@@ -430,16 +432,16 @@ function cabal_execute()  {
   case  $ORDER  in
     C)  cat  $CABAL_DIRECTORY/$CABAL  |
         while  read  BOX;  do  
-          ssh  -i  $CABAL_KEYS/$CABAL  \
+          echo "execing box $BOX" && ssh  -n -i  $CABAL_KEYS/$CABAL  \
                    root@${BOX}         \
                    "$COMMAND"          \
           >  $CABAL_OUTPUT/$BOX        &
         done
         ;;
 
-    S)  cat  $CABAL_DIRECTORY/$CABAL  |
+    S)  cat $CABAL_DIRECTORY/$CABAL  |
         while  read  BOX;  do  
-          ssh  -i  $CABAL_KEYS/$CABAL  \
+          echo "execing box $BOX" && ssh -n -i  $CABAL_KEYS/$CABAL  \
                    root@${BOX}         \
                    "$COMMAND"
         done
@@ -447,7 +449,7 @@ function cabal_execute()  {
         ;;
   esac
 
-  sleep  10
+  #sleep  10   <--not sure why that's there.. --dave
 
 }
 
@@ -456,9 +458,10 @@ function cabal_output()  {
 
   if  [  -d  $CABAL_OUTPUT  ];  then
     for  FILE  in  `ls  $CABAL_OUTPUT`;  do
-      echo  "$FILE  Beginning Output"
+      echo  "*------- $FILE  Beginning Output -------*"
       cat   $CABAL_OUTPUT/$FILE
-      echo  "$FILE  Ending Output"
+      echo  "*------- $FILE  Ending Output -------*"
+      echo
     done
   fi
 }
@@ -491,7 +494,7 @@ copies"
     case  $COMMAND in
       C)  cabal_copy               ;;
       E)  cabal_execute            ;;
-      S)  cabal_output  |  $PAGER  ;;
+      S)  cabal_output | ${PAGER}  ;;
     esac
 
   done
@@ -531,11 +534,37 @@ function cabal_menu()  {
 
 }
 
+function show_file()     {
+
+  if  [  -f  $1  ];  then
+
+    if  [  "`file  -b  $1  |  cut  -d ' '  -f1`"  == "bzip2" ];  then
+      bzcat  $1  |  $PAGER
+    elif  [  "`file  -b  $1  |  cut  -d ' '  -f1`"  == "gzip" ];  then
+      gzip  -cd  $1  |  $PAGER
+    else
+      eval $DIALOG  '--textbox  $1  0  0'
+    fi
+
+  else
+    eval $DIALOG  '--msgbox  "File not found."  0  0'
+    return  1
+  fi
+
+}
+
 . /etc/sorcery/config
-DIALOG='$DIALOGPROG  --backtitle "Sorcery Spell Management Utility" --stdout'
+
+if [ -n "${PAGER}" ]
+then
+  PAGER=`which less`
+fi  
+
+DIALOG="${DIALOGPROG} --stdout"
+
 cabal_menu
 
-#---------------------------------------------------------------------
+##---------------------------------------------------------------------
 ##=back
 ##
 ##=head1 LICENSE
@@ -554,4 +583,4 @@ cabal_menu
 ## along with this software; if not, write to the Free Software
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##
-#---------------------------------------------------------------------
+##---------------------------------------------------------------------
diff --git a/usr/sbin/cleanse b/usr/sbin/cleanse
index 59854e5..266d3c9 100755
--- a/usr/sbin/cleanse
+++ b/usr/sbin/cleanse
@@ -911,7 +911,7 @@ function cleanse_fix_md5sum_check() {
 
   # for some reason stuffing the output of this in a variable loses the
   # newlines and thus files with spaces in them get lost
-  md5sum --check $TMP_MD5_LOG 2>/dev/null | grep ': FAILED$' |
+  LANG=C md5sum --check $TMP_MD5_LOG 2>/dev/null | grep ': FAILED$' |
             sed "s${A}: FAILED\$${A}${A}" > $BROKEN1
   # cant use awk above with : as a seperator due to files with :'s in their name
 
@@ -937,7 +937,7 @@ function cleanse_fix_md5sum_check() {
     test -h $LINE && continue
     REAL_MD5=$(md5sum $LINE)
     # find the file in some log somewhere...
-    FOUND_IN=$(grep -l "^$REAL_MD5\$" $MD5SUM_LOGS/*)
+    FOUND_IN=$(echo $MD5SUM_LOGS/* | xargs grep -l "^$REAL_MD5\$")
 
     # remove anything from a non-current version of the spell
     # this is ugly but the only reasonable way I know of to do this...
diff --git a/usr/sbin/gaze b/usr/sbin/gaze
index 57acb21..1630fbd 100755
--- a/usr/sbin/gaze
+++ b/usr/sbin/gaze
@@ -519,6 +519,9 @@ function newer()  {
     COMPUTE='($3=="update") { a=a+1; if (a>1) { print $1 ; exit } }'
   elif [ x"$DATE" == x"last_cast" ]; then
     COMPUTE='($3 == "cast" && $6 == "success") { print $1 ; exit }'
+  elif ! date -d "$DATE" +%Y%m%d > /dev/null; then
+    help | $PAGER
+    exit 1
   fi
 
   if [ -n "$COMPUTE" ]; then
@@ -575,14 +578,16 @@ function older()  {
 }
 
 #-----
-## Find all install logs that mention the given string
+## Find all install logs that mention the given string,
+## discarding hits that match state files
 ## @param Search string
 ## @Stdout grep results
 #-----
 function show_from()  {
 
-  cd  $INSTALL_LOGS
-  grep  "`esc_str $1`$"  *
+  cd $INSTALL_LOGS
+  find . -printf "%f\n" | xargs grep "`esc_str $1`$" |
+  seperate_state_files /dev/stdin /dev/stdout /dev/null | sort
 
 }
 
@@ -805,8 +810,8 @@ function specific_voyeur()
   then
     return 1
   fi
-  nice -n +20			\
-   tail /tmp/$1.compile.log	\
+  nice -n +20                   \
+   tail $(find /tmp/sorcery/cast/ -name $1.compile.log )     \
     --follow=name --pid=$(ls "/tmp/liblock-0/cast.$1") 2>/dev/null
 }
 
@@ -1450,9 +1455,9 @@ function gaze_show_dependencies() {
     while true; do
         # Check for the compact mode flag
         if [[ $1 == -c ]] ; then
-            FOUND="/tmp/gaze.seen.$$"
-	          echo -n > $FOUND
-		        shift
+            FOUND="$TMP_DIR/gaze.seen.$$"
+            echo -n > $FOUND
+            shift
             continue
         fi
         # Check for the no optionals flag
@@ -1486,6 +1491,9 @@ function gaze_show_dependencies() {
                 recurse "$1" $DEPTH "requires"
                 return 0
         }
+        force_depends() {
+            return 0
+        }
         repeat () {
             local CHAR="$1" COUNT="$2"
     
diff --git a/usr/sbin/scribe b/usr/sbin/scribe
index e22ed82..a411d4e 100755
--- a/usr/sbin/scribe
+++ b/usr/sbin/scribe
@@ -155,9 +155,24 @@ function scribe_add() {
       continue
     fi
 
+    # avoid deleting $grimoire if it is a dir #13742
+    if [[ -d $grimoire ]]; then
+      message "${PROBLEM_COLOR}The grimoire $grimoire is an" \
+              "exsisting directory! Refusing to add!${DEFAULT_COLOR}"
+      continue
+    fi
+
+    local grim_name="$grimoire"
     # derive a full grimoire name
     grimoire=$(codex_canonicalize_grimoire_name $grimoire)
-    message "Adding grimoire $grim_name to $grim_dir from $from"
+    local grim_dir
+    smgl_dirname "$grimoire" grim_dir
+
+    if [[ -z $from ]]; then
+      message "Adding grimoire $grim_name to $grim_dir"
+    else
+      message "Adding grimoire $grim_name to $grim_dir from $from"
+    fi
     scribe_add_update_worker "$grimoire" "$from" add
   done
 }
@@ -210,7 +225,16 @@ function scribe_add_update_worker() {
   if  [ -z "$from" ];  then
     #from is empty - use the default
     prefix=$(url_get_prefix $CODEX_URL)
-    if list_find "rsync svn cvs smgl_tla dir git" $prefix ; then
+    if [[ $? != 0 ]]; then
+      message "${PROBLEM_COLOR}Failed to get the \$CODEX_URL prefix!" \
+      "${DEFAULT_COLOR}"
+      popd &>/dev/null
+      return 1
+    fi
+
+    local tree_prefixes="rsync svn svn_http svn_https svn_ssh cvs smgl_tla"
+    tree_prefixes="$tree_prefixes dir git git_http"
+    if list_find "$tree_prefixes" "$prefix"; then
       grim_target=$grim_name
     else
       grim_target="$grim_name.tar.bz2"
diff --git a/var/lib/sorcery/modules/libmisc b/var/lib/sorcery/modules/libmisc
index b53d421..ef28027 100755
--- a/var/lib/sorcery/modules/libmisc
+++ b/var/lib/sorcery/modules/libmisc
@@ -1316,7 +1316,7 @@ function set_architecture() {
     [ $SPECFILE ] && break
   done
   if [[ ! $SPECFILE ]] ; then 
-    message "${PROBLEM_COLOR}Cannot find arch spec for $arch!"
+    message "${PROBLEM_COLOR}Cannot find arch spec for $arch!$DEFAULT_COLOR"
     return 1
   fi
   debug "libmisc" "set_architecture: SPECFILE=$SPECFILE"
diff --git a/var/lib/sorcery/modules/libresurrect b/var/lib/sorcery/modules/libresurrect
index f7dcdac..5a308de 100755
--- a/var/lib/sorcery/modules/libresurrect
+++ b/var/lib/sorcery/modules/libresurrect
@@ -547,7 +547,7 @@ function real_handle_changed_config() {
       3)  mark_file_modified "$to"
           touch "$to"
           break ;;
-      4)  diff "$to" "$from" | $PAGER;;
+      4)  diff -u "$to" "$from" | $PAGER;;
     esac
     message "\n\nPlease select another option"
   done
diff --git a/var/lib/sorcery/modules/libsorcery b/var/lib/sorcery/modules/libsorcery
index c09a728..30e6538 100755
--- a/var/lib/sorcery/modules/libsorcery
+++ b/var/lib/sorcery/modules/libsorcery
@@ -705,9 +705,9 @@ function optimize()  {
       esac
     done
     # use echo to crunch all the whitespace out for broken configure scripts
-    export CFLAGS=$(echo -O $CFLAGS $CUSTOM_CFLAGS $OVERRIDE_CFLAGS)
-    export CXXFLAGS=$(echo $CFLAGS $CUSTOM_CXXFLAGS $OVERRIDE_CXXFLAGS)
-    export LDFLAGS=$(echo $LDFLAGS $CUSTOM_LDFLAGS $OVERRIDE_LDLAGS)
+    export CXXFLAGS=$(echo $CFLAGS $CUSTOM_CXXFLAGS $OVERRIDE_CXXFLAGS $USER_SPELL_CXXFLAGS)
+    export CFLAGS=$(echo $CFLAGS $CUSTOM_CFLAGS $OVERRIDE_CFLAGS $USER_SPELL_CFLAGS)
+    export LDFLAGS=$(echo $LDFLAGS $CUSTOM_LDFLAGS $OVERRIDE_LDLAGS $USER_SPELL_LDFLAGS)
   fi
 
 }
diff --git a/var/lib/sorcery/modules/libsummon b/var/lib/sorcery/modules/libsummon
index 123d0b7..83fb9e7 100755
--- a/var/lib/sorcery/modules/libsummon
+++ b/var/lib/sorcery/modules/libsummon
@@ -381,7 +381,8 @@ function unpack_for_update() {
   local _guess_type
 
   # hard-coded list of url prefixes that generally download trees
-  local tree_prefixes="cvs dir rsync smgl_tla svn git"
+  local tree_prefixes="cvs dir rsync smgl_tla svn svn_http svn_ssh git"
+  tree_prefixes="$tree_prefixes svn_https git_http"
   local prefix=$(url_get_prefix $url_list)
   if ! list_find "$hints" file &&
      list_find "$hints" tree || list_find "$tree_prefixes" "$prefix" ; then
diff --git a/var/lib/sorcery/modules/liburl b/var/lib/sorcery/modules/liburl
index 8f30744..f32252a 100755
--- a/var/lib/sorcery/modules/liburl
+++ b/var/lib/sorcery/modules/liburl
@@ -493,7 +493,7 @@ function url_generic_apifunc() {
   local tmp_func=$1
   shift
   local tmp_url=$1 tmp_prefix
-  tmp_prefix=$(url_get_prefix $1)
+  tmp_prefix=$(url_get_prefix $1) &&
   if misc_is_function url_${tmp_prefix}_${tmp_func}; then
     url_${tmp_prefix}_${tmp_func} "$@"
   else
diff --git a/var/lib/sorcery/modules/url_handlers/url_http b/var/lib/sorcery/modules/url_handlers/url_http
index 617d706..912753a 100755
--- a/var/lib/sorcery/modules/url_handlers/url_http
+++ b/var/lib/sorcery/modules/url_handlers/url_http
@@ -91,7 +91,7 @@ function url_ftp_verify() {
     local  DIRECTORY=`dirname $URL`
     local  OUTPUT=`wget --passive-ftp -t 1 -T 30 -O - --spider -S "$DIRECTORY/" 2>&1`
 
-    if  echo  $OUTPUT  |  grep  -q  "$FILENAME";  then
+    if  echo  $OUTPUT  |  grep  -q  " $FILENAME ";  then
       rm  -f  .listing
     else
       echo  $OUTPUT  |  sed  's/LIST.*//g'



More information about the SM-Commit mailing list